Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.model.change
Class SetSymmetric

    java.lang.Object
      |
      +--org.semanticweb.owl.model.change.OntologyChange
            |
            +--org.semanticweb.owl.model.change.SetSymmetric

public class SetSymmetric
extends OntologyChange

Set the symmetric flag on an ObjectProperty. Created: Fri Feb 07 17:20:09 2003

Version:
  $Id: SetSymmetric.java,v 1.1.1.1 2003/10/14 17:10:09 sean_bechhofer Exp $

Field Summary

Fields inherited from class org.semanticweb.owl.model.change.OntologyChange
`cause, ontology`

Constructor Summary
`SetSymmetric(OWLOntology ontology, OWLObjectProperty property, boolean symmetric, OntologyChange cause)`

Method Summary
`void` | `accept(ChangeVisitor visitor)` Accept a visit from a change visitor.
`OWLObjectProperty` | `getProperty()` The entity that should be added.
`boolean` | `isSymmetric()`

Methods inherited from class org.semanticweb.owl.model.change.OntologyChange
`getCause, getOntology, setCause, setOntology`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetSymmetric

    public SetSymmetric(OWLOntology ontology,
                        OWLObjectProperty property,
                        boolean symmetric,
                        OntologyChange cause)

Method Detail

### getProperty

    public OWLObjectProperty getProperty()

  The entity that should be added.

  Returns:
    an `OWLEntity` value

### isSymmetric

    public boolean isSymmetric()

### accept

    public void accept(ChangeVisitor visitor)
                throws OWLException

  Description copied from class: `OntologyChange`
  Accept a visit from a change visitor.

  Specified by:
    `accept` in class `OntologyChange`
  Parameters:
    `visitor` - a `ChangeVisitor` value
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb